3v4l.org

run code in 200+ php & hhvm versions
Bugs & Features
<?php try { echo 'aa'; throw new Exception(); } catch (Exception $e) { echo 'bbb'; throw $e; } finally { echo 'vvv'; }
Output for 7.0.0 - 7.2.0
aabbbvvv Fatal error: Uncaught Exception in /in/GNElE:5 Stack trace: #0 {main} thrown in /in/GNElE on line 5
Process exited with code 255.
Output for 5.5.24 - 5.6.28
aabbbvvv Fatal error: Uncaught exception 'Exception' in /in/GNElE:5 Stack trace: #0 {main} thrown in /in/GNElE on line 5
Process exited with code 255.
Output for 5.3.19 - 5.4.45
Parse error: syntax error, unexpected '{' in /in/GNElE on line 9
Process exited with code 255.